Bug 741137 - package http-parser as a static library
Summary: package http-parser as a static library
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: http-parser
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 732552
TreeView+ depends on / blocked
 
Reported: 2011-09-25 22:43 UTC by T.C. Hollingsworth
Modified: 2018-04-11 10:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-27 00:53:57 UTC


Attachments (Terms of Use)
proposed specfile (2.40 KB, text/x-rpm-spec)
2011-09-25 23:11 UTC, T.C. Hollingsworth
no flags Details
proposed specfile (2.57 KB, text/x-rpm-spec)
2011-09-26 01:23 UTC, T.C. Hollingsworth
no flags Details

Description T.C. Hollingsworth 2011-09-25 22:43:55 UTC
http-parser is not designed to be a static library, we force it in the specfile.  Doing so causes problems with node.js, the only program that uses it.  Rather than deviate from upstream even further and cause numerous headaches in the process, I'd like to ship it as a static library instead.

We can do so without FESCo approval per the second criterion in the packaging guidelines:  "If a library you depend on only provides a static version your package can link against it provided that you BuildRequire the *-static subpackage. Packagers in such a situation should be aware that if a shared library becomes available, that you should adjust your package to use the shared library."  http-parser only provides a static version.

This change will not affect any other packages, as none presently require it.

Comment 1 T.C. Hollingsworth 2011-09-25 23:11:00 UTC
Created attachment 524806 [details]
proposed specfile

Attaching proposed specfile.

SRPM:  http://tchol.org/fedora/http-parser-1.0-2.fc15.src.rpm
Koji scratch build:  http://koji.fedoraproject.org/koji/taskinfo?taskID=3376766

Comment 2 T.C. Hollingsworth 2011-09-26 01:23:32 UTC
Created attachment 524810 [details]
proposed specfile

Sorry, forgot a couple things.

Comment 3 T.C. Hollingsworth 2011-09-27 00:53:57 UTC
Never mind, found the problem elsewhere in http-parser.


Note You need to log in before you can comment on or make changes to this bug.